[% bodyid = 'login' %]

<div id="loginwrap">
    <div class="block">
        <div class="header">Login</div>
        <div class="blockcontent">
        [% IF c.user_exists %]
            <p>U bent al ingelogd</p>
        [% ELSIF can_login_internally %]
            <form action="[% c.uri_for('/auth/page') %]" method="POST">
            <input type="hidden" name="referer" value="[% referer | html %]" />
            <input type="hidden" name="zs_login_token" value="[% zs_login_token | html %]" />

            <div class="input-wrapper">
                <input id="id_username" class="text input_gebruiker" type="text" name="username" placeholder="Gebruikersnaam">
            </div>


            <div class="input-wrapper">
                <input id="id_password" class="text input_ww" type="password" name="password" autocomplete="off" placeholder="Wachtwoord">
            </div>

            <div>
                [%- IF c.session.login_failed && c.session.login_failed > 0 %]
                    <div class="id_wrong">Incorrecte inloggegevens</div>
                [% END %]
            </div>

            <div class="button-wrapper">
                <input type="submit" value="Inloggen" class="button button-primary">
            </div>

            </form>
        [% ELSIF idps.size < 1 %]
            <p>Dit Zaaksysteem heeft geen inlogmogelijkheden, neem contact op met uw systeembeheerder.</p>
        [% END %]
        </div>

        [% IF idps.size > 0 && can_login_internally %]
        <div class="ad-koppeling-divide">OF</div>
        [% END %]

        <div class="ad-koppeling-buttons">
            [% FOREACH idp IN idps %]
            <a href="[% c.uri_for('/auth/saml/' _ idp.id, {success_endpoint => success_endpoint, failure_endpoint => failure_endpoint}) | html_entity %]" class="button button-secondary ad-koppeling-button">
                Inloggen met [% idp.name | html_entity %]
            </a>
            [% END %]
        </div>
    </div>
</div>
